Loading...
Searching...
No Matches
QGpgME::DecryptVerifyArchiveJob Class Referenceabstract

`#include <decryptverifyarchivejob.h>`

Inheritance diagram for QGpgME::DecryptVerifyArchiveJob:
[legend]
Collaboration diagram for QGpgME::DecryptVerifyArchiveJob:
[legend]

## Signals

void | fileProgress (int current, int total)
void | dataProgress (int current, int total)
void | result (const GpgME::DecryptionResult &decryptionResult, const GpgME::VerificationResult &verificationResult, const QString &auditLogAsHtml={}, const GpgME::Error &auditLogError={})
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

void | setProcessAllSignatures (bool processAll)
bool | processAllSignatures () const
void | setInputFile (const QString &path)
QString | inputFile () const
void | setOutputDirectory (const QString &outputDirectory)
QString | outputDirectory () const
virtual GpgME::Error | start (const std::shared_ptr< QIODevice > &cipherText)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Static Public Member Functions

static bool | isSupported ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)

## Protected Member Functions

| DecryptVerifyArchiveJob (std::unique_ptr< DecryptVerifyArchiveJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

Abstract base class for job for decrypting encrypted (signed) archives

## Member Function Documentation

## dataProgress

void QGpgME::DecryptVerifyArchiveJob::dataProgress | ( | int | current,
|  | int | total )

signal

This signal is emitted whenever gpgtar sends a progress status update for the amount of processed data. It is only emitted in the writing phase. current is the processed amount data and total is the total amount of data to process. Both values never exceed 2^20.

## fileProgress

void QGpgME::DecryptVerifyArchiveJob::fileProgress | ( | int | current,
|  | int | total )

signal

This signal is emitted whenever gpgtar sends a progress status update for the number of files. In the scanning phase (i.e. while gpgtar checks which files to put into the archive), current is the current number of files and total is 0. In the writing phase, current is the number of processed files and total is the total number of files.

## setInputFile()

void DecryptVerifyArchiveJob::setInputFile | ( | const QString & | path | ) |

Sets the path of the file to read the archive from.

Used if the job is started with startIt().

## setOutputDirectory()

void DecryptVerifyArchiveJob::setOutputDirectory | ( | const QString & | outputDirectory | ) |

Sets the directory the content of the decrypted archive shall be written to.

## setProcessAllSignatures()

void DecryptVerifyArchiveJob::setProcessAllSignatures | ( | bool | processAll | ) |

Enables processing of all signatures if processAll is true.

By default, gpg (in batch mode used by GpgME) stops the verification of data signatures when a bad signature is encountered. This can be changed by setting this flag. It's equivalent to setting the context flag "proc-all-sigs".

This is only supported for OpenPGP and requires GnuPG 2.2.45, 2.4.6, or 2.5.1.

## start()

virtual GpgME::Error QGpgME::DecryptVerifyArchiveJob::start | ( | const std::shared_ptr< QIODevice > & | cipherText | ) |

pure virtual

Starts the decryption of an encrypted (and signed) archive.

Decrypts and extracts the encrypted archive in cipherText. If the archive is signed, then the signature is verified. If a non-empty output directory was set, then the content of the archive is extracted into this directory. Otherwise, it is extracted into a directory named `GPGARCH_n_` (where `n` is a number).

Emits result() when the job has finished.

Implemented in QGpgME::QGpgMEDecryptVerifyArchiveJob.

The documentation for this class was generated from the following files:

- decryptverifyarchivejob.h
- decryptverifyarchivejob.cpp